{% extends 'base.html' %}

{% block content %}

<main>
    <div>
        <h1>My Lists</h1>
        {% if not storefront_list %}
            <p>Nothing in your list.</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of shows</th>
                    </tr>
                </thead>
                <tbody>
                    {% for things in storefront_list %}
                        <tr>
                            <td>
                                <a href="{% url 'store_detailview' things.pk %}">
                                    {{ things.name }}
                                </a>
                            </td>
                            <td>{{ things.shows.all|length }}</td>
                    {% endfor %}
                </tr>
        {% endif %}
    </tbody>
</table>
</div>
</main>
{% endblock content %}